Index: trunk/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfddm.F90
===================================================================
--- trunk/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfddm.F90	(revision 2527)
+++ trunk/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfddm.F90	(revision 2528)
@@ -6,4 +6,5 @@
    !! History :  OPA  ! 2000-08  (G. Madec)  double diffusive mixing
    !!   NEMO     1.0  ! 2002-06  (G. Madec)  F90: Free form and module
+   !!            3.3  !  2010-10  (C. Ethe, G. Madec) reorganisation of initialisation phase
    !!----------------------------------------------------------------------
 #if defined key_zdfddm   ||   defined key_esopa
@@ -24,5 +25,6 @@
    PRIVATE
 
-   PUBLIC   zdf_ddm    ! called by step.F90
+   PUBLIC   zdf_ddm       ! called by step.F90
+   PUBLIC   zdf_ddm_init  ! called by opa.F90
 
    LOGICAL , PUBLIC, PARAMETER ::   lk_zdfddm = .TRUE.  !: double diffusive mixing flag
@@ -38,7 +40,7 @@
 #  include "vectopt_loop_substitute.h90"
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.2 , LOCEAN-IPSL (2009) 
-   !! $Id$ 
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! $Id$
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 
@@ -86,6 +88,4 @@
       !!----------------------------------------------------------------------
 
-      IF ( kt == nit000 )   CALL zdf_ddm_init          ! Initialization (first time-step only)
-
       !                                                ! ===============
       DO jk = 2, jpkm1                                 ! Horizontal slab
@@ -98,33 +98,23 @@
             DO ji = 1, jpi
                ! stability indicator: msks=1 if rn2>0; 0 elsewhere
-               IF( rn2(ji,jj,jk) + 1.e-12  <= 0. ) THEN
-                  zmsks(ji,jj) = 0.e0
-               ELSE
-                  zmsks(ji,jj) = 1.e0
+               IF( rn2(ji,jj,jk) + 1.e-12  <= 0. ) THEN   ;   zmsks(ji,jj) = 0.e0
+               ELSE                                       ;   zmsks(ji,jj) = 1.e0
                ENDIF
                ! salt fingering indicator: msksf=1 if rrau>1; 0 elsewhere            
-               IF( rrau(ji,jj,jk) <= 1. ) THEN
-                  zmskf(ji,jj) = 0.e0
-               ELSE
-                  zmskf(ji,jj) = 1.e0
+               IF( rrau(ji,jj,jk) <= 1.          ) THEN   ;   zmskf(ji,jj) = 0.e0
+               ELSE                                       ;   zmskf(ji,jj) = 1.e0
                ENDIF
                ! diffusive layering indicators: 
-               !   mskdl1=1 if 0<rrau<1; 0 elsewhere
-               IF( rrau(ji,jj,jk) >= 1. ) THEN
-                  zmskd1(ji,jj) = 0.e0
-               ELSE
-                  zmskd1(ji,jj) = 1.e0
-               ENDIF
-               !   mskdl2=1 if 0<rrau<0.5; 0 elsewhere
-               IF( rrau(ji,jj,jk) >= 0.5 ) THEN
-                  zmskd2(ji,jj) = 0.e0
-               ELSE
-                  zmskd2(ji,jj) = 1.e0
+               !     ! mskdl1=1 if 0<rrau<1; 0 elsewhere
+               IF( rrau(ji,jj,jk) >= 1.          ) THEN   ;   zmskd1(ji,jj) = 0.e0
+               ELSE                                       ;   zmskd1(ji,jj) = 1.e0
+               ENDIF
+               !     ! mskdl2=1 if 0<rrau<0.5; 0 elsewhere
+               IF( rrau(ji,jj,jk) >= 0.5         ) THEN   ;   zmskd2(ji,jj) = 0.e0
+               ELSE                                       ;   zmskd2(ji,jj) = 1.e0
                ENDIF
                !   mskdl3=1 if 0.5<rrau<1; 0 elsewhere
-               IF( rrau(ji,jj,jk) <= 0.5 .OR. rrau(ji,jj,jk) >= 1. ) THEN
-                  zmskd3(ji,jj) = 0.e0
-               ELSE
-                  zmskd3(ji,jj) = 1.e0
+               IF( rrau(ji,jj,jk) <= 0.5 .OR. rrau(ji,jj,jk) >= 1. ) THEN   ;   zmskd3(ji,jj) = 0.e0
+               ELSE                                                         ;   zmskd3(ji,jj) = 1.e0
                ENDIF
             END DO
@@ -227,4 +217,6 @@
       WRITE(*,*) 'zdf_ddm: You should not have seen this print! error?', kt
    END SUBROUTINE zdf_ddm
+   SUBROUTINE zdf_ddm_init            ! Dummy routine
+   END SUBROUTINE zdf_ddm_init
 #endif
 
Index: trunk/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfddm_substitute.h90
===================================================================
--- trunk/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfddm_substitute.h90	(revision 2527)
+++ trunk/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfddm_substitute.h90	(revision 2528)
@@ -6,7 +6,7 @@
    !!----------------------------------------------------------------------
    !!----------------------------------------------------------------------
-   !!  OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
    !! $Id$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 #if defined key_zdfddm
Index: trunk/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfevd.F90
===================================================================
--- trunk/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfevd.F90	(revision 2527)
+++ trunk/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfevd.F90	(revision 2528)
@@ -31,7 +31,7 @@
 #  include "domzgr_substitute.h90"
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.2 , LOCEAN-IPSL (2009) 
+   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
    !! $Id$
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt) 
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 
